%define version	2.5.5
%define prerel	0
%define rel	1

%if %prerel
%define srcname %{name}-%{version}%prerel
%define release %mkrel -c %prerel %rel
%else
%define srcname %{name}-%{version}
%define release %mkrel %rel
%endif

Name:		qbittorrent
Version:	%{version}
Release:	%{release}
Summary:	A lightweight but featureful BitTorrent client
Group:		Networking/File transfer
License:	GPLv2+
Url:		http://qbittorrent.sourceforge.net/
%if %prerel
Source0:	http://downloads.sourceforge.net/project/qbittorrent/qbittorrent-unstable/%{name}-%{version}/%{name}-%{version}%{prerel}.tar.gz
%else
Source0:	http://downloads.sourceforge.net/project/qbittorrent/qbittorrent/qbittorrent-%{version}/qbittorrent-%{version}.tar.gz
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel >= 4:4.5
BuildRequires:	boost-devel
BuildRequires:	libtorrent-rasterbar-devel >= 0.14.4
BuildRequires:	libnotify-devel >= 0.4.2
Requires:	python
Requires:	geoip

%description
A lightweight but feature-full BitTorrent client that aims to be very easy 
to use. It is multi-platform and provides a Qt4 graphical interface.

%package -n %{name}-nox
Summary:	A Headless Bittorrent Client
Group:		Networking/File transfer

%description -n %{name}-nox
A Headless Bittorrent Client with a feature rich Web UI allowing users to
control the clinet remotely.

%prep
%setup -q -n %{srcname}

%build
%setup_compile_flags
# headless aka nox
mkdir build-nox
cd build-nox
../configure	--prefix=%{_prefix} \
		--qtdir=%{qt4dir} \
		--disable-gui \
		--disable-libnotify \
		--disable-geoip-database
cp conf.pri ..
%make
mv -f ../conf.pri ../conf.pri.nox

# GUI
cd ..
mkdir build-gui
cd build-gui
../configure	--prefix=%{_prefix} \
		--qtdir=%{qt4dir}
cp conf.pri ..
%make
mv -f ../conf.pri ../conf.pri.gui


%install
rm -rf %{buildroot}
# install headless part
mv -f conf.pri.nox conf.pri
cd build-nox
make INSTALL_ROOT=%{buildroot} install

# install gui
cd ..
mv -f conf.pri.gui conf.pri
cd build-gui
make INSTALL_ROOT=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/qBittorrent.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*

%files -n  %{name}-nox
%defattr(-,root,root,-)
%{_bindir}/%{name}-nox
%{_mandir}/man1/%{name}-nox.1*


%changelog
* Thu Jan 06 2011 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.5-1mdv2010.0
+ Revision: 629153
- update to 2.5.5
- drop unused patch
- update to 2.5.3
- update to 2.5.2
- bump qt4 BR
- fix qt4-devel BR (by adding the Epoch)
- update to 2.4.11
- Update to 2.4.10
- update to 2.4.9
- drop merged patch
- add upstream patch to fix a crash when pressing Enter in the in the save path
  field of the torrent addition dialogue
- update to 2.4.8
- update to 2.4.7
- update to 2.4.6
- update to 2.4.5
- update to 2.4.4
- update to 2.4.3
- update to 2.4.2
- update to 2.4.1
- update to 2.4.0 final
- change spec to make it easier to package pre-releases (thanks to the meticulous
  transmission.spec)
- update to 2.4.0rc1
- update to 2.3.1
- update to 2.3.0 final
- 2.3.0rc10
- update to 2.3.0rc9
- update to 2.3.0rc7
- update to 2.3.0rc5
- update to 2.3.0rc4
- update to 2.3.0rc2
- new bug fix release, 2.2.10
- drop patch1, merged upstream
- add patch from upstream to fix web ui
- new upstream bug fix release 2.2.9
- drop patch1, merged upstream
- use the actual source url
- fix typo in description
- add upstream patch to fix a unicode bug when moving torrents
- new version 2.2.6
- new upstream release 2.2.5
- drop patch1, merged upstream
- bump release
- add upstream patch to fix crash when adding labels
- new upstream release 2.2.4
- new upstream release 2.2.3
- drop patch1, merged upstream
- add upstream patch to fix crash when deleting a torrent just after pausing it
- new upstream release 2.2.2
- drop patch1, merged upstream
- add upstream patch for more robust fast-resume
- new upstream release 2.2.1
- 2.2.0 final
- new upstream release 2.2.0 rc2
- new upstream release 2.2.0 rc1
- 2.2.0 beta4
- update to 2.2.0beta3
- clean spec
- Update to 2.2.0beta2
- Drop patch0
- Update to 2.2.0beta1
- Add upstream patch to fix alternative upload speed limit overwriting standard
   upload speed limit
- Add patch to disable extra debug (from Fedora)
- new upstream release 2.1.2
- drop patch merged upstream
- add upstream patch to fix folder renaming
- use better build method to get proper debug info (from Fedora)
- clean spec
- bug fix release 2.1.1
- it can work with libtorrent-rasterbar-devel >= 0.14.4 too
- 2.1.0 final release
- build qbittorrent-nox, a headless client
- new release 2.1.0rc7
- update to 2.1.0-rc6

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new boost
    - rebuild
    - rebuild for new boost

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild for new boost

  + Jérôme Brenier <incubusss@mandriva.org>
    - new version 2.1.0rc5
    - new upstream release 2.1.0rc4
    - update minimal version of libtorrent-rasterbar-devel BR
    - import qbittorrent

